<?xml version="1.0" encoding="utf-8"?>
	<!--
		Copyright (C) 2010 Felix Bechstein
	-->
	<!--
		This file is part of AndGMXsms. This program is free software; you can
		redistribute it and/or modify it under the terms of the GNU General
		Public License as published by the Free Software Foundation; either
		version 3 of the License, or (at your option) any later version.
	-->
	<!--
		This program is distributed in the hope that it will be useful, but
		WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
		General Public License for more details. You should have received a
		copy of the GNU General Public License along with this program; If
		not, see <http://www.gnu.org/licenses/>.
	-->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
	package="de.ub0r.android.websms.connector.innosend" android:versionName="0.3"
	android:versionCode="300">
	<application android:label="@string/app_name" android:icon="@drawable/icon"
		android:debuggable="true">

		<!--
			This Activity is brought by the WebSMS Connector Plugin API. It shows
			a simple information about this connector when launching it via
			"open" button from android market.
		-->
		<activity android:name="de.ub0r.android.websms.connector.common.InfoActivity"
			android:label="@string/app_name" android:icon="@drawable/icon"
			android:theme="@android:style/Theme.Translucent.NoTitleBar">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />
				<category android:name="android.intent.category.INFO" />
			</intent-filter>
		</activity>

		<!-- Service doing all the IO. -->
		<service android:name="de.ub0r.android.websms.connector.common.ConnectorService"
			android:exported="false" />

		<activity android:name="Preferences">
			<intent-filter>
				<action android:name="de.ub0r.android.websms.connectors.innosend.PREFS" />
				<category android:name="android.intent.category.DEFAULT" />
			</intent-filter>
		</activity>
		<receiver android:name="de.ub0r.android.websms.connector.innosend.ConnectorInnosend"
			android:enabled="true" android:exported="true">
			<intent-filter>
				<action android:name="de.ub0r.android.websms.connector.innosend.RUN_UPDATE" />
				<action android:name="de.ub0r.android.websms.connector.innosend.RUN_SEND" />
				<action android:name="de.ub0r.android.websms.connector.UPDATE" />
			</intent-filter>
		</receiver>
	</application>
	<uses-sdk android:minSdkVersion="3" android:targetSdkVersion="7" />
	<supports-screen android:largeScreens="true"
		android:normalScreens="true" android:smallScreens="true"
		android:anyDensity="true" />
	<uses-permission android:name="android.permission.INTERNET" />
	<!-- WAKE_LOCK needed to make sure, sms are send even if user sends device to sleep. -->
	<uses-permission android:name="android.permission.WAKE_LOCK" />
</manifest> 
